.\" Hey, EMACS: -*- nroff -*-
.\" First parameter, NAME, should be all caps
.\" Second parameter, SECTION, should be 1-8, maybe w/ subsection
.\" other parameters are allowed: see man(7), man(1)
.\" Please adjust this date whenever revising the manpage.
.\" 
.\" Some roff macros, for reference:
.\" .nh        disable hyphenation
.\" .hy        enable hyphenation
.\" .ad l      left justify
.\" .ad b      justify to both left and right margins
.\" .nf        disable filling
.\" .fi        enable filling
.\" .br        insert line break
.\" .sp <n>    insert n+1 empty lines
.\" for manpage-specific macros, see man(7)
.TH "PYKARAOKE" "6" "july 16, 2006" "" ""
.SH "NAME"
pykaraoke_mini \- free CDG/MIDI/MPEG karaoke player
.SH "SYNOPSIS"
.B pykaraoke_mini
.SH "DESCRIPTION"
.\" TeX users may be more comfortable with the \fB<whatever>\fP and
.\" \fI<whatever>\fP escape sequences to invode bold face and italics, 
.\" respectively.
\fBpykaraoke\fP is a free karaoke player for Linux, FreeBSD and Windows. 
You can use this program to play your collection of CDG, MIDI and MPEG karaoke songs.
.PP 
PyKaraoke Features:
    * CDG (MP3+G, OGG+G) playback \- Play standard CDG karaoke files
    * MIDI (.MID/.KAR) playback \- Play MIDI format karaoke files
    * MPEG playback \- Play karaoke songs and movies in MPEG format
    * Playlist \- Queue up songs, sit back and enjoy
    * Searchable song database \- Easily find your songs from the main screen
    * Search inside ZIP files \- Play MP3+G/MIDI files wrapped in ZIP files
    * Cross\-platform \- Runs on Linux, FreeBSD and Windows
.SH "USAGE"
pykaraoke_mini is a frontend for the pycdg and pympg karaoke players. It is similar to pykaraoke.py, but it is designed for use on small portable devices rather than PC's.  In particular, it could be useful on any device lacking a keyboard and mouse.
.PP 
It presents a scrolling list of songs to choose from, sorted by title, artist, or filename.  It works within the same pygame window used to render the karaoke songs themselves, so the scrolling interface is not available while a song is being performed.  The biggest strength of pykaraoke_mini is that it does not rely on a keyboard or a windowing interface, so it is ideal for use with a joystick or even an IR remote control in a bar.
.PP 
Unlike pykaraoke, pykaraoke_mini does not store a database of song files, nor does it search around through different folders to find your song files.  Instead, it is your responsibility to build a catalog file, which is a text file that contains one line per each song.  Each line should be of the form:
.PP 
	filename <tab> title <tab> artist
.PP 
You can include international characters by encoding the file in UTF\-8.  All three of these fields will be presented to the user in the scrolling list.  The filename is assumed to be relative to the catalog file itself.
.PP 
If you like, you can maintain multiple different catalog files ofthis form, which will allow you to run pykaraoke_mini with different subsets of your song files.  Use the \-\-catalog command\-line option to specify the full path to your catalog file; the default filename is songs/catalog.txt.
.PP 
While navigating the scrolling menu, the following keys are available:
.PP 
	up / down  :  scroll through the list.  Hold the button down to scroll very rapidly.

	pageup / pagedown  :  scroll a page at a time.

	enter  :  select the highlighted song for performance.

	tab  :  change the sort mode between title, artist, and filename.
	The current sort key is displayed first for each file.

	+ / \-  :  enlarge or reduce the font scale.  This also affects the font scale when a MIDI file is selected (but does not affect CDG or MPG files).

	a\-z  :  search for a song beginning with the indicated letter.  If you type multiple letters, search for a song beginning with the string you type.
.SH "SEE ALSO"
.
You can find PyKaraoke's home page at: http://www.kibosh.org/pykaraoke/
.P
.SH "AUTHOR"
PyKaraoke was written by Kelvin Lawson <kelvinl@users.sourceforge.net>
and William Ferrell <willfe@gmail.com>.
.PP 
This manual page was written by Miriam Ruiz <little_miry@yahoo.es>,
for the Debian project (but may be used by others).
